# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
Name:           cmpi-bindings
Version:        0.9.5
Release:        alt1_1
Summary:        Adapter to write and run CMPI-type CIM providers

Group:          Development/C
License:        BSD
URL:            http://github.com/kkaempf/cmpi-bindings
Source0:        https://github.com/kkaempf/%{name}/archive/%{name}-%{version}.tar.gz

#Patch0: don't build ruby and perl bingings
Patch0:         cmpi-bindings-0.4.17-no-ruby-perl.patch
#Patch1: removes workaround no longer needed
Patch1:         cmpi-bindings-0.4.17-sblim-sigsegv.patch

BuildRequires: ctest cmake gcc-c++ swig >= 1.3.34
BuildRequires:  curl-devel sed
BuildRequires:  sblim-cmpi-devel
BuildRequires:  python-devel
Source44: import.info

%description
CMPI-compliant provider interface for various languages via SWIG


%package -n cmpi-bindings-pywbem
Summary:        Adapter to write and run CMPI-type CIM providers in Python
Group:          Development/Other
 
%description -n cmpi-bindings-pywbem
CMPI-compliant provider interface for Python


%prep
%setup -q
%patch0 -p1
%patch1 -p1

# change hardcoded path from /usr/lib/pycim/ to something better
sed -i 's@/usr/lib/pycim/@'`echo %{python_sitelibdir_noarch}/pycim/`'@' swig/python/cmpi_pywbem_bindings.py
# let user know where the providers have to be placed
cat > README.Fedora << EOS 
Python provider interface expects the providers to be placed in:
%{python_sitelibdir_noarch}/pycim/

You can customize the path - edit line 428 in:
%{python_sitelibdir_noarch}/cmpi_pywbem_bindings.py
EOS


%build
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=%_prefix \
      -DLIB=%{_lib} \
      -DCMAKE_VERBOSE_MAKEFILE=TRUE \
      -DCMAKE_C_FLAGS_RELEASE:STRING="%{optflags}" \
      -DCMAKE_CXX_FLAGS_RELEASE:STRING="%{optflags}" \
      -DCMAKE_BUILD_TYPE=Release \
      -DCMAKE_SKIP_RPATH=1 \
      ..  
make %{?_smp_mflags}


%install
cd build
mkdir -p $RPM_BUILD_ROOT%{_datadir}/cmpi
make install DESTDIR=$RPM_BUILD_ROOT
# create directory for providers
mkdir -p $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/pycim/


%files -n cmpi-bindings-pywbem
%doc README ANNOUNCE COPYING LICENSE.BSD README.Fedora
%dir %{_libdir}/cmpi
%{_libdir}/cmpi/libpyCmpiProvider.so
%dir %{_datadir}/cmpi
%{python_sitelibdir_noarch}/cmpi_pywbem_bindings.py*
%{python_sitelibdir_noarch}/cmpi.py*
%dir %{python_sitelibdir_noarch}/pycim/

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.5-alt1_1
- initial fc import

